SET(DEP_INCLUDE_DIR   ${DEPENDENCY_PACKAGE_DIR}/include)
SET(DEP_LIBRARY_DIR   ${DEPENDENCY_PACKAGE_DIR}/lib)
SET(DEP_BINARY_DIR    ${DEPENDENCY_PACKAGE_DIR}/bin)
SET(DEP_FRAMEWORK_DIR ${DEPENDENCY_PACKAGE_DIR}/Library/Frameworks)

# Install on OSX
foreach(target IN ITEMS ${CMAKE_CONFIGURATION_TYPES})
    file(GLOB_RECURSE dep_frameworks FOLLOW_SYMLINKS "${DEP_FRAMEWORK_DIR}/*")
    file(GLOB_RECURSE dep_libraries FOLLOW_SYMLINKS "${DEP_LIBRARY_DIR}/*")

    foreach(p IN LISTS dep_frameworks)
        STRING(REGEX REPLACE "${DEP_FRAMEWORK_DIR}" "" rel_p ${p})
        configure_file(${p}
        "${CMAKE_BINARY_DIR}/bin/${target}/Orxonox.app/Contents/Frameworks/${rel_p}" COPYONLY)
    endforeach()

    foreach(p IN LISTS dep_libraries)
        STRING(REGEX REPLACE "${DEP_LIBRARY_DIR}" "" rel_p ${p})
        configure_file(${p}
        "${CMAKE_BINARY_DIR}/bin/${target}/Orxonox.app/Contents/Frameworks/${rel_p}" COPYONLY)
    endforeach()

    file(GLOB_RECURSE dep_plugins FOLLOW_SYMLINKS "${DEP_BINARY_DIR}/*")

    foreach(p IN LISTS dep_plugins)
        STRING(REGEX REPLACE "${DEP_BINARY_DIR}" "" rel_p ${p})
        configure_file(${p}
        "${CMAKE_BINARY_DIR}/bin/${target}/Orxonox.app/Contents/Plugins/${rel_p}" COPYONLY)
    endforeach()
endforeach()
